Start Translation

Initiate a new translation job with a .txt transcript, JSON transcript, or an existing Wordcab transcript. The job will be processed asynchronously and the response will contain a job_name.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required
Defaults to generic

Declare the source of the data for the Translation job.
📝 Note that some sources have different parameter requirements.

  • generic - Generic-format .txt and JSON transcripts
  • wordcab_transcript - Summarization job with one Wordcab transcript using a transcript_id
  • vtt - A VTT file or string
  • rev_ai - Use the JSON array from Rev.ai's monologues object as input
  • assembly_ai - Use the JSON array from AssemblyAI's utterances object as input
  • deepgram - Use the JSON array from Deepgram's utterances object as input
  • vtt - Either a .vtt file, or raw VTT text in the request body - Learn more about proper vtt formatting.
    Note that speaker labels are required for a VTT source.
  • otter - Learn more about Otter.ai transcript formatting
  • fireflies - Learn more about Fireflies.ai transcript formatting
  • sonix - Learn more about Sonix.ai transcript formatting
  • descript - Learn more about Descript transcript formatting
  • teams- Use a .docx transcript from the Microsoft Teams application.
string

A human-readable name for your job. Not strictly required, but highly recommended.

string
Defaults to en

Default value: en
Set the language of the input source.
You can find a detailed overview of supported languages here.

string
Defaults to en

Default value: en
Set the language for the resulting summary.
You can find a detailed overview of supported languages here.

string

Required when source is set to wordcab_transcript.
Represents the id of a processed Wordcab transcript.

boolean
Defaults to true

Splits up overly long speaker utterances. This results in generally more accurate but slightly longer summaries.

boolean
Defaults to false

Warning: requires webhooks to be enabled. If set to true, your webhooks will receive all processed data simultaneously instead of only a job reference. Ephemeral data provides a convenient, automatic way of removing sensitive data from Wordcab servers.
📝 Note that enabling ephemeral_data wipes all sensitive data tied to a particular job. You will not be able to retrieve a finished job via polling, nor will you be able to reuse any transcript_id or summary_id tied to the removed job.

string

A comma-separated string containing tags you'd like to attribute to your job. This is particularly helpful when you want to see translation stats for a particular subset of customers.

Body Params
Headers
string

A metadata object is composed of a key-value pair. To add metadata to your job, you must add X-Wordcab-Metadata-<Key> headers to your /summarize request, where <Key> is a key of your choice.
This way a metadata object with the key-value pairs you initially set will be saved to your job object. By convention, Wordcab will extract anything after X-Wordcab-Metadata- (in this case, <Key>), make the string lowercase, and then convert any dashes to underscores.
For example, an X-Wordcab-Metadata-UUID key with a value of "abc", and an X-Wordcab-Metadata-User-ID key with a value of "123" will result in the following metadata object when retrieving your job: "metadata": { "uuid": "abc", "user_id": "123" }

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json